Last Comment Bug 740749 - Starting a conversation with an IRC contact does not remove it from the online contacts list
: Starting a conversation with an IRC contact does not remove it from the onlin...
Status: RESOLVED FIXED
:
Product: Thunderbird
Classification: Client Software
Component: Instant Messaging (show other bugs)
: 13 Branch
: All All
: -- normal (vote)
: Thunderbird 14.0
Assigned To: Patrick Cloke [:clokep]
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-30 02:57 PDT by Jb Piacentino
Modified: 2012-04-04 02:30 PDT (History)
3 users (show)
ryanvm: in‑testsuite?
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
fixed


Attachments
Set the buddy property of the conversation (808 bytes, patch)
2012-03-30 05:03 PDT, Patrick Cloke [:clokep]
florian: review+
mozilla: approval‑comm‑aurora+
Details | Diff | Splinter Review

Description Jb Piacentino 2012-03-30 02:57:38 PDT
STR:

- Click on an IRC online contact
- The last conversation w/ this contact is displayed
- Click 'Start a new conversation'

Current results
- A new conversation with the name of the contact appears in the conversation list
- Contact name remains listed in Online contacts
- The last conversation remains displayed


Expected results
- The contact name should move from 'Online contacts' to 'Conversations'
- The newly created conversation should be displayed, ready to start
Comment 1 Florian Quèze [:florian] [:flo] (PTO until August 29th) 2012-03-30 04:07:29 PDT
There are 2 different things in this description:
- starting a conversation with an IRC contact doesn't remove the contact from the list of online contact. We will handle this here, I know clokep has a fix already.
- automatically selecting the new conversation when it is started using the mouse even when the contact wasn't selected. I filed bug 740765 on this.
Comment 2 Patrick Cloke [:clokep] 2012-03-30 05:03:42 PDT
Created attachment 610856 [details] [diff] [review]
Set the buddy property of the conversation

(In reply to Florian Quèze from comment #1)
> - starting a conversation with an IRC contact doesn't remove the contact
> from the list of online contact. We will handle this here, I know clokep has
> a fix already.

The fix is to set the buddy field of the conversation (if we have the buddy in our buddy list) to properly link the conversation & buddy.
Comment 3 Florian Quèze [:florian] [:flo] (PTO until August 29th) 2012-03-30 05:08:32 PDT
Comment on attachment 610856 [details] [diff] [review]
Set the buddy property of the conversation

Thanks for providing a fix so quickly!
Comment 4 Ryan VanderMeulen [:RyanVM] 2012-03-30 17:29:15 PDT
http://hg.mozilla.org/comm-central/rev/c994cf6558da

Also, to make life easier for those checking in patches on your behalf, please follow the directions below for any future patches you submit. Thanks!
https://developer.mozilla.org/en/Mercurial_FAQ#How_can_I_generate_a_patch_for_somebody_else_to_check-in_for_me.3F
Comment 5 Florian Quèze [:florian] [:flo] (PTO until August 29th) 2012-04-02 05:27:37 PDT
Comment on attachment 610856 [details] [diff] [review]
Set the buddy property of the conversation

[Approval Request Comment]
User impact if declined: quite visible brokenness when starting a private conversation with an IRC contact.
Comment 6 Mark Banner (:standard8) 2012-04-04 02:30:07 PDT
Checked in:

http://hg.mozilla.org/releases/comm-aurora/rev/8deaee43b177

Note You need to log in before you can comment on or make changes to this bug.